import java.util.Scanner;

public class PericaiSah {

    public static void main(String[] args) {
        
        Scanner sc=new Scanner (System.in);
        int n,m,s;
        n=sc.nextInt();
        m=sc.nextInt();
        for(int i=0; i<n; i++){
            for(int j=0;j<m;j++){
                s=sc.nextInt();
                
            }
        }
        
        System.out.println("-1");
    }
    
}